<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">
    <data>
        <import type="android.text.Html" />
        <import type="it.integry.integrywmsnative.R" />
        <import type="it.integry.integrywmsnative.core.utility.UtilityString" />
        <import type="it.integry.integrywmsnative.core.utility.UtilityNumber" />
        <variable
            name="mContext"
            type="android.content.Context" />

        <variable
            name="viewModel"
            type="it.integry.integrywmsnative.view.dialogs.input_peso_lu.DialogInputPeso.DialogInputPesoViewModel" />
    </data>

    <androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
        android:orientation="vertical" android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/light_blue_300"
                android:gravity="center_horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_error_white_24dp"
                    android:layout_margin="24dp"/>

            </RelativeLayout>



            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingTop="24dp"
                android:paddingLeft="24dp"
                android:paddingRight="24dp">

                <TextView
                    android:id="@+id/title_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/TextViewMaterial.DialogTitle"
                    android:text="@string/action_insert_weight"
                    android:gravity="center_horizontal"/>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/TextViewMaterial"
                    android:text="@string/dialog_input_peso_lu_description"
                    android:gravity="center"
                    android:layout_marginTop="16dp" />



                <LinearLayout
                    android:orientation="vertical"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp">





                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/input_cod_tcol"
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/lu_type">

                        <androidx.appcompat.widget.AppCompatAutoCompleteTextView
                            android:id="@+id/filled_exposed_dropdown_cod_tcol"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:inputType="textNoSuggestions"
                            android:singleLine="true"
                            android:ellipsize="end"
                            android:imeOptions="actionNext"
                            android:nextFocusForward="@id/filled_exposed_dropdown_vettore"
                            app:binding="@{viewModel.codTcol}"/>

                    </com.google.android.material.textfield.TextInputLayout>


                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guide_center_1"
                            android:layout_width="0dp"
                            android:layout_height="0dp"
                            android:orientation="vertical"
                            app:layout_constraintGuide_percent="0.49"/>

                        <androidx.constraintlayout.widget.Guideline
                            android:id="@+id/guide_center_2"
                            android:layout_width="0dp"
                            android:layout_height="0dp"
                            android:orientation="vertical"
                            app:layout_constraintGuide_percent="0.51"/>

                        <com.google.android.material.textfield.TextInputLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            app:layout_constraintTop_toTopOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintEnd_toEndOf="@id/guide_center_1"
                            android:layout_marginBottom="16dp"
                            style="@style/TextInputLayout.OutlinePrimary">

                            <com.google.android.material.textfield.TextInputEditText
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:hint="@string/gross_weight"
                                android:inputType="numberDecimal"
                                app:binding="@{viewModel.grossWeight}"
                                style="@style/TextInputEditText.OutlinePrimary"/>

                        </com.google.android.material.textfield.TextInputLayout>

                        <com.google.android.material.textfield.TextInputLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            app:layout_constraintTop_toTopOf="parent"
                            app:layout_constraintStart_toStartOf="@id/guide_center_2"
                            app:layout_constraintEnd_toEndOf="parent"
                            android:layout_marginBottom="16dp"
                            style="@style/TextInputLayout.OutlinePrimary">

                            <com.google.android.material.textfield.TextInputEditText
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:hint="@string/net_weight"
                                android:inputType="numberDecimal"
                                app:binding="@{viewModel.netWeight}"
                                style="@style/TextInputEditText.OutlinePrimary"/>

                        </com.google.android.material.textfield.TextInputLayout>
                    </androidx.constraintlayout.widget.ConstraintLayout>


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        android:paddingTop="12dp"
                        android:paddingBottom="8dp"
                        android:gravity="bottom|center_horizontal">


                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/button_confirm"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            style="@style/Button.PrimaryFull"
                            app:icon="@drawable/ic_save_24dp"
                            android:text="@string/confirm"/>
                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>


        </LinearLayout>


    </androidx.cardview.widget.CardView>

</layout>